package cz.moneta.test.dsl.salesforce.data.enums;

public enum ProductPotential {
    INVESTMENT("Investice", "Investice"),
    BUSINESS("Provoz (+ limit na kr. karty)", "ProductPotentialChoice.Provoz (+ limit na kr%2E karty)"),
    BANK_ASSURANCE("Bankovní záruka/Akreditiv", "ProductPotentialChoice.Bankovní záruka/Akreditiv"),
    FX_LINE("FX line", "ProductPotentialChoice.FX line"),
    CASH_POOLING("Platební styk/Cash pooling", "ProductPotentialChoice.Platební styk/Cash pooling"),
    CARD_TERMINAL("Karetní terminál", "ProductPotentialChoice.Karetní terminál"),
    LEASING("Leasing/Auto", "ProductPotentialChoice.Leasing/Auto"),
    CURRENT_ACCOUNT("Běžný účet", "ProductPotentialChoice.Běžný účet"),
    SAVING_ACCOUNT("Spořicí účet", "ProductPotentialChoice.Spořicí účet"),
    TERM_DEPOSIT("Termínovaný vklad", "ProductPotentialChoice.Termínovaný vklad");

    private final String label;
    private final String xpathValue;

    ProductPotential(String label, String xpathValue) {
        this.label = label;
        this.xpathValue = xpathValue;
    }

    public String getLabel() {
        return label;
    }

    public String getXpathValue() {
        return xpathValue;
    }

}
